program main

	use globals, only: problem,seed
	use myproblem, only: inip

	implicit none
	
	! LOCAL SCALARS
	integer :: solver,n,m,nC,jcnnzmax,hnnzmax,outiter,nfev,ngev,inform,allocerr
	logical :: scaleF,checkder
	real(kind=4) :: time
	real(kind=8) :: theta
	
	! LOCAL ARRAYS
	real(kind=8),allocatable :: x(:),xini(:),l(:),u(:)
	logical,allocatable :: equatn(:),linear(:)
	
	! Modify myproblem routine to solve your own problem
	! Alternatively, choose a test problem - see myproblem.f90
	
 	problem = 1

	! Read the initial data of the problem
	
	seed = 123456.0d0
	
	call inip(n,m,nC,x,l,u,equatn,linear,jcnnzmax,hnnzmax,scaleF,checkder)
	

	! Choose the solver to be used
	! solver = 0: multiobjective projected gradient method
	! solver = 1: multiobjective Conditional Gradient Method
	
	solver = 1

	call MOPsolver(solver,n,m,nC,x,l,u,equatn,linear,jcnnzmax,hnnzmax,scaleF,&
				  checkder,outiter,time,nfev,ngev,theta,inform)

end program main
